Name:           python-testify
Version:        0.4.0
Release:        5%{?dist}
Summary:        A replacement for Python's unittest module and nose

Group:          Development/Languages
License:        ASL 2.0
URL:            https://github.com/Yelp/Testify
Source0:        https://github.com/Yelp/Testify/archive/%{version}.tar.gz
# Man page based on output from help2man
Source10:       testify.1
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-mock
Requires:       python-sqlalchemy
Requires:       python-tornado
Requires:       PyYAML

%description
Testify is a replacement for Python's unittest module and nose. It is
modeled after unittest, and existing unittest classes are fully supported.

However, Testify has features above and beyond unittest, including:
 - Class-level setup and tear-down fixture methods, which are run only once
   for an entire class of test methods.
 - A decorator-based approach to fixture methods, enabling features like
   lazily-evaluated attributes and context managers for tests.
 - Enhanced test discovery. Testify can drill down into packages to find
   test cases (similar to nose).
 - Support for detecting and running test suites, grouped by modules, classes,
   or individual test methods.
 - Support for splitting up tests into buckets for multiprocessing.
 - Pretty test runner output.
 - Extensible plugin system for adding additional functionality around
   reporting.
 - Comes complete with other handy testing utilities, including turtle (for
   mocking), code coverage integration, profiling, and numerous common
   assertion helpers for easier debugging.


%prep
%setup -q -n Testify-%{version}
sed -i -e 's|/usr/local/bin/python|/usr/bin/python|g' \
    testify/utils/code_coverage.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}
# Fix non-executable-script warnings
chmod -x %{buildroot}%{python_sitelib}/testify/utils/code_coverage.py
for lib in %{buildroot}%{python_sitelib}/testify/utils/code_coverage.py; do
    sed '1{\@^#!/usr/bin/python@d}' ${lib} > ${lib}.new
    touch -r ${lib} ${lib}.new
    mv ${lib}.new ${lib}
done
# Install man page
install -p -D -m0644 %{SOURCE10} %{buildroot}%{_mandir}/man1/testify.1


%files
%doc LICENSE.txt README.md
%{python_sitelib}/*egg-info
%{python_sitelib}/testify
%{_bindir}/testify
%{_mandir}/man1/testify.1*


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-2
- fix non-executable-script warnings

* Wed Jun 19 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-1
- update to upstream release 0.4.0
- remove redundant build variables
- add man page based on output from help2man

* Sat Mar 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.10-1
- initial package
